{{- if .Values.ingress.enabled -}}
{{- if .Capabilities.APIVersions.Has "route.openshift.io/v1" -}}
---
apiVersion: route.openshift.io/v1
kind: Route
metadata:
  name: {{ include "keycloak.fullname" . }}
  labels:
    {{- include "keycloak.labels" . | nindent 4 }}
  annotations:
    openshift.io/host.generated: "true"
    {{- if .Values.ingress.extraAnnotations }}{{- toYaml .Values.ingress.extraAnnotations | nindent 4 }}{{- end }}
spec:
  host: {{ .Values.global.dns_domain }}
  path: /kc
  port:
    targetPort: http
  tls:
    termination: edge
  to:
    kind: Service
    name: {{ .Release.Name }}-keycloak
    weight: 100
  wildcardPolicy: None
{{- else }}
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: {{ include "keycloak.fullname" . }}
  labels:
    {{- include "keycloak.labels" . | nindent 4 }}
  annotations:
    {{- if .Values.ingress.extraAnnotations }}{{- toYaml .Values.ingress.extraAnnotations | nindent 4 }}{{- end }}
spec:
  rules:
    - host: {{ .Values.global.dns_domain }}
      http:
        paths:
          - path: /kc
            pathType: Prefix
            backend:
              service:
                name: {{ .Release.Name }}-keycloak
                port:
                  name: http
{{- end }}{{- end }}
